/*---------------------------------------------------------------------------*\
|  Register all the RXUTILS.DLL Functions     (C) Alain Rykaert - DEC95-JUN96 |
\*---------------------------------------------------------------------------*/

    Parse Upper Arg Option .

    if Strip(Translate(Option)) = '/M'
     then MUTE = 1
     else MUTE = 0

    Result_Query=RxFuncQuery('RxLoadFuncs')
    if Result_Query = 0
     then do
             if \MUTE then Say '*** OK, RxUtils was registered. ***'
          end
     else do
             Result_Add = RxFuncAdd('RxLoadFuncs','RXUTILS','RxLoadFuncs')
             if Result_Add = 0
              then do
                      if \MUTE then Say '*** OK, RxUtils is registered. ***'
                      Signal ON Syntax Name Load_Check
                      Call RxLoadFuncs
                      Load_Check: /* RC of 43 means RXUTILS not found */
                      if RC = 43
                       then do
                               Say '*** ERROR: Not able to load the RxUtils.'
                               Say '    Perhaps REXX not installed,'
                               Say '    or RXUTILS.DLL not found in a LIBPATH drive/directory.'
                              '@Pause'
                            end
                      Signal OFF Syntax
                   end
              else do
                      Say '*** ERROR: RxUtils registration has failed. ***'
                     '@Pause'
                   end
          end

    if \MUTE then say '0A0D'X ' RXUTILS version' RXUTILSVER()

    Exit

 /*--------------------------------------------------------------------------*/

